Scientific Linux 安全性更新:SL5.x、SL6.x i386/srpm/x86_64 上的 java-1.6.0-openjdk

high Nessus Plugin ID 76681
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Scientific Linux 主機缺少一個或多個安全性更新。

描述

據發現,OpenJDK 的熱點元件並未正確驗證來自類別檔案的位元組程式碼。未受信任的 Java 應用程式或 applet 可能利用這些瑕疵繞過 Java Sandbox 限制。(CVE-2014-4216、CVE-2014-4219)

在 OpenJDK 的熱點元件事件記錄器中發現一個格式字串瑕疵。未受信任的 Java 應用程式或 applet 可利用此瑕疵損毀 Java 虛擬機器,或可能利用 Java 虛擬機器的權限執行任意程式碼。
(CVE-2014-2490)

在 OpenJDK 的 Libraries 元件中發現權限檢查不當問題。未受信任的 Java 應用程式或 applet 可利用此瑕疵,繞過 Java Sandbox 限制。(CVE-2014-4262)

在 OpenJDK 的 JMX、Libraries、Security 和 Serviceability 元件中發現多個瑕疵。未受信任的 Java 應用程式或 applet 可利用這些瑕疵,繞過特定 Java Sandbox 限制。(CVE-2014-4209、CVE-2014-4218、CVE-2014-4252、CVE-2014-4266)

據發現,執行使用私密金鑰的作業時,OpenJDK 的 Security 元件中的 RSA 演算法並未徹底執行偽裝。能夠度量那些作業時間差的攻擊者可能會洩漏使用的金鑰相關資訊。(CVE-2014-4244)

OpenJDK 的 Security 元件中的 Diffie-Hellman (DH) 金鑰交換演算法實作無法正確驗證公開 DH 參數。這可能導致 OpenJDK 接受和使用弱式參數,進而允許攻擊者復原交涉金鑰。(CVE-2014-4263)

此更新也可修正下列錯誤:

- 在此更新之前,存取未同步 HashMap 的應用程式可能進入無限迴圈,並消耗過量的 CPU 資源。此更新可解決此問題。

所有執行中的 OpenJDK Java 執行個體都必須重新啟動,更新才能生效。

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?a5163fe5

Plugin 詳細資訊

嚴重性: High

ID: 76681

檔案名稱: sl_20140721_java_1_6_0_openjdk_on_SL5_x.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2014/7/22

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6.5

CVSS v2

風險因素: High

基本分數: 9.3

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

弱點資訊

CPE: p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-debuginfo, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-demo, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-devel, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-javadoc, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-src, x-cpe:/o:fermilab:scientific_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2014/7/21

弱點發布日期: 2014/7/17

參考資訊

CVE: CVE-2014-2490, CVE-2014-4209, CVE-2014-4216, CVE-2014-4218, CVE-2014-4219, CVE-2014-4244, CVE-2014-4252, CVE-2014-4262, CVE-2014-4263, CVE-2014-4266